%define pypi_name pickleshare
%global __requires_exclude pythonegg\\(3\\)\\(pathlib2\\)

Name:           python-%{pypi_name}
Version:        0.7.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support

License:        MIT
URL:            https://github.com/pickleshare/pickleshare
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	python3 >= 3.8
BuildRequires:  python3dist(setuptools)

%description
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%{python3_sitelib}/*



%changelog
* Thu Feb 20 2020 umeabot <umeabot> 0.7.5-2.mga8
+ Revision: 1546106
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.7.5-1.mga8
+ Revision: 1485934
- new version: 0.7.5

* Fri Sep 13 2019 tv <tv> 0.7.4-5.mga8
+ Revision: 1440467
- explicitely BR python3 >= 3.8 :-(

* Fri Sep 13 2019 tv <tv> 0.7.4-4.mga8
+ Revision: 1440293
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 0.7.4-3.mga7
+ Revision: 1350552
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.4-2.mga7
+ Revision: 1289669
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.7.4-1.mga7
+ Revision: 1222333
- Update to version 0.7.4
- Rename python-pickleshare to python2-pickleshare
- Use python_provide
- Update BRs

* Fri Aug 04 2017 tv <tv> 0.7.2-3.mga7
+ Revision: 1134558
- rebuild for new python

* Sun Apr 17 2016 philippem <philippem> 0.7.2-2.mga6
+ Revision: 1003192
- remove pythonegg(3)(pathlib2) from autorequires

* Fri Apr 15 2016 philippem <philippem> 0.7.2-1.mga6
+ Revision: 1002848
- update to 0.7.2
+ joequant <joequant>
- imported package python-pickleshare

